package cn.com.ctop.crawler.modules.jiema.service.impl;

import cn.com.ctop.common.module.utils.HttpUtils;

/**
 * @author jeecg-boot
 * 2019年12月5日19:57:58
 */
public class WumaServiceImpl {
    public static final String WUMA_API_URL = "http://56ji.cn:7777";

    public String login() throws Exception {
        String result = HttpUtils.httpGetRequest(WUMA_API_URL + "/Login?uName=xuzuoyun&pWord=heaven&isFixed=ojbk&Developer=U4iw3O%2fWTw6%2b17rjP8rmuA%3d%3d");
        return result.split("&")[0];
    }

    public String getMobile(String token) {
        String result = HttpUtils.httpGetRequest(WUMA_API_URL + "/getPhone?ItemId=3244&token=" + token);
        return result;
    }

    public static void main(String[] args) {
        WumaServiceImpl k = new WumaServiceImpl();
        try {
            String token = k.login();
            String mobile = k.getMobile(token);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
